Loading...
Searching...
No Matches
versions.h File Reference
`#include <RDGeneral/export.h>`

Go to the source code of this file.

## Namespaces

namespace | RDKit
| Std stuff.

## Macros

#define | RDKIT_VERSION_CHECK(year, month, rev)
#define | RDKIT_VERSION RDKIT_VERSION_CHECK(@RDKit_Year @, @RDKit_intMonth @, @RDKit_Revision @)

## Variables

RDKIT_RDGENERAL_EXPORT const char * | RDKit::rdkitVersion
RDKIT_RDGENERAL_EXPORT const char * | RDKit::boostVersion
RDKIT_RDGENERAL_EXPORT const char * | RDKit::rdkitBuild

## Macro Definition Documentation

## RDKIT_VERSION

#define RDKIT_VERSION RDKIT_VERSION_CHECK(@RDKit_Year @, @RDKit_intMonth @, @RDKit_Revision @)

Definition at line 20 of file versions.h.

## RDKIT_VERSION_CHECK

#define RDKIT_VERSION_CHECK | ( |  | year,
|  |  | month,
|  |  | rev )

Value:
((year * 1000) + (month * 10) + (rev))

Definition at line 16 of file versions.h.